use crate::value::Value;

#[derive(Clone)]
pub enum ConditionKind {
    Eq(String),
    Ne(String),
    Gt(String),
    Gte(String),
    Lt(String),
    Lte(String),
    IsNull(String),
    IsNotNull(String),
    FilterOptional(String),
    FilterOptionalGte(String),
    FilterOptionalLte(String),
    In(String),
    NotIn(String),
    Like(String),
    NotLike(String),
    Between(String),
}

#[derive(Clone)]
pub struct Condition {
    pub kind: ConditionKind,
    pub values: Vec<Value>,
}
